import { IOrganization, ISecuritySettingsService, IOrganizationStylingService, IOrganizationSettingsService, IOrganizationUserService, IOrganizationPermissionService, IOrganizationNotificationChannelService, IOrganizationLlmEndpointsService, IOrganizationNotificationService } from "@gooddata/sdk-backend-spi";
import { IOrganizationDescriptor, IOrganizationDescriptorUpdate } from "@gooddata/sdk-model";
import { DecoratorFactories } from "./types.js";
export declare class OrganizationDecorator implements IOrganization {
    readonly organizationId: string;
    private decorated;
    private readonly factories;
    constructor(decorated: IOrganization, factories: DecoratorFactories);
    getDescriptor(includeAdditionalDetails?: boolean): Promise<IOrganizationDescriptor>;
    updateDescriptor(descriptor: IOrganizationDescriptorUpdate): Promise<IOrganizationDescriptor>;
    securitySettings(): ISecuritySettingsService;
    styling(): IOrganizationStylingService;
    settings(): IOrganizationSettingsService;
    users(): IOrganizationUserService;
    permissions(): IOrganizationPermissionService;
    notificationChannels(): IOrganizationNotificationChannelService;
    llmEndpoints(): IOrganizationLlmEndpointsService;
    notifications(): IOrganizationNotificationService;
}
//# sourceMappingURL=organization.d.ts.map